package com.ruoyi.system.domain.userExt;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 用户扩展对象 rl_user_ext
 *
 * @author qzz
 * @date 2024-10-07
 */
@Data
public class RlUserExt extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 扩展id */
    private Long extId;

    /** 用户id */
    @Excel(name = "用户id")
    private Long userId;

    /** 余额 */
    @Excel(name = "余额")
    private BigDecimal balance;

    /** 分红比例 */
    @Excel(name = "分红比例")
    private BigDecimal dividendProportion;

    /** 合作时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "合作时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date cooperationTime;

    /** 分账状态 */
    @Excel(name = "分账状态")
    private Boolean dividendStatus;

    /** 微信收款码 */
    public String wxCollectionCode;

    /** 支付宝收款码 */
    public String aliCollectionCode;

    /** 代理商id */
    private Long agentId;
}
